org.apache.cassandra.utils

## Class EstimatedHistogram.EstimatedHistogramSerializer

- java.lang.Object
- - org.apache.cassandra.utils.EstimatedHistogram.EstimatedHistogramSerializer

All Implemented Interfaces:
  ISerializer<EstimatedHistogram>

Enclosing class:
  EstimatedHistogram

    public static class EstimatedHistogram.EstimatedHistogramSerializer
    extends java.lang.Object
    implements ISerializer<EstimatedHistogram>

### Constructor Summary

Constructors
Constructor and Description
`EstimatedHistogramSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EstimatedHistogram` `deserialize(DataInputPlus in)` Deserialize from the specified DataInput instance.
`void` `serialize(EstimatedHistogram eh, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(EstimatedHistogram eh)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.io.ISerializer

`skip`

### Constructor Detail

#### EstimatedHistogramSerializer

    public EstimatedHistogramSerializer()

### Method Detail

#### serialize

    public void serialize(EstimatedHistogram eh,
                          DataOutputPlus out)
                   throws java.io.IOException

Description copied from interface: `ISerializer`
Serialize the specified type into the specified DataOutput instance.

Specified by:
  `serialize` in interface `ISerializer<EstimatedHistogram>`
Parameters:
  `eh` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserialize

    public EstimatedHistogram deserialize(DataInputPlus in)
                                   throws java.io.IOException

Description copied from interface: `ISerializer`
Deserialize from the specified DataInput instance.

Specified by:
  `deserialize` in interface `ISerializer<EstimatedHistogram>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(EstimatedHistogram eh)

Specified by:
  `serializedSize` in interface `ISerializer<EstimatedHistogram>`